Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.springframework.webflow.upgrade
Class WebFlowUpgrader

    java.lang.Object
      org.springframework.webflow.upgrade.WebFlowUpgrader

    public class WebFlowUpgrader

extends java.lang.Object

Converts Web Flow 1 flow definitions to the version 2 syntax. To use, invoke as a Java application, passing the file-system path to the flow definition you wish to convert as a program argument. The converted flow definition is printed to standard out. This class requires a XSLT transformer to run. Saxon is recommended to preserve flow definition formatting and line breaks.

Author:
  Scott Andrews

Constructor Summary
`WebFlowUpgrader()`

Method Summary
`java.lang.String` | `convert(org.springframework.core.io.Resource flowResource)`
`static void` | `main(java.lang.String[] args)`
`void` | `transform(javax.xml.transform.Source source, javax.xml.transform.Result result)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WebFlowUpgrader

    public WebFlowUpgrader()

Method Detail

### main

    public static void main(java.lang.String[] args)

### convert

    public java.lang.String convert(org.springframework.core.io.Resource flowResource)

### transform

    public void transform(javax.xml.transform.Source source,
                          javax.xml.transform.Result result)
                   throws javax.xml.transform.TransformerConfigurationException,
                          javax.xml.transform.TransformerException,
                          java.io.IOException

  Throws:
    `javax.xml.transform.TransformerConfigurationException`
    `javax.xml.transform.TransformerException`
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Spring Web Flow
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD